****This file imports the parameters of the conditional density of food stamp receipt and amounts received in the 2008-2010 ACS from the workbook par_vec.xlsx into Stata matrices called par_2008, par_2009 and par_2010. It also imports the parameters of the NY subsample from the same workbook to matrices calles par_sub0 and par_sub1. Additionally, it imports the corresponding variance matrices from var_mat.xlsx into stata matrices called varmat_2008, varmat_2009, varmat_2010, varmat_nysub0 and varmat_nysub1. The files par_vec.xlsx and var_mat.xlsx are available from my website and need to be placed in the working directory. See the helpfiles for cddens and cdreg for more details on how to use these parameters.


*2008-2010 ACS
preserve
import excel par_vec.xlsx, sh("cd_par") firstrow clear
*parameters
foreach year of numlist 2008/2010 {
	mkmat *`year'*, mat(par_`year') rownames(pname)
	mat def par_`year'=par_`year''
}
*variance matrices
foreach year of numlist 2008/2010 {
	import excel var_mat.xlsx, sh("var_mat`year'") clear
	mkmat B-CG, mat(varmat_`year') rownames(A)
	local a: rowfullnames varmat_`year'
	matrix colnames varmat_`year'=`a'
}
restore

*ny subsample
preserve
*parameter vector
import excel par_vec.xlsx, sh("cd_par") firstrow clear
mkmat par_sub0, mat(par_sub0) rownames(pname)
mat def par_sub0=par_sub0'
mkmat par_sub1, mat(par_sub1) rownames(pname)
mat def par_sub1=par_sub1'
*variance matrix
foreach val of numlist 0/1 {
	import excel var_mat.xlsx, sh("var_mat_nysub`val'") clear
	mkmat B-CG, mat(varmat_nysub`val') rownames(A)
	local a: rowfullnames varmat_nysub`val'
	matrix colnames varmat_nysub`val'=`a'
}
restore

